geos::util Namespace Reference

Utility classes for GEOS. More...

## Classes

class | AssertionFailedException
| Indicates a bug in GEOS code. More...
class | GeometricShapeFactory
| Computes various kinds of common geometric shapes. More...
class | GEOSException
| Base class for all GEOS exceptions. More...
class | IllegalArgumentException
| Indicates one or more illegal arguments. More...
class | IllegalStateException
| Indicates an illegal state. More...
class | Interrupt
| Used to manage interruption requests and callbacks. More...
class | TopologyException
| Indicates an invalid or inconsistent topological situation encountered during processing. More...
class | UnsupportedOperationException
| Indicates that the requested operation is unsupported. More...

## Functions

std::ostream & | operator<< (std::ostream &os, const Profile &)
| Return a string representing the Profile.
std::ostream & | operator<< (std::ostream &os, const Profiler &)
| Return a string representing the Profiler.
template<typename T>
void | ensureNoCurvedComponents (const T &geom)
template<typename T>
void | ensureNoCurvedComponents (const T *geom)
double | sym_round (double val)
| Symmetric Rounding Algorithm.
double | java_math_round (double val)
| Asymmetric Rounding Algorithm.
double | rint_vc (double val)
| Equivalent to Java Math.rint().
double | round (double val)
double | clamp (double x, double min, double max)
| Equivalent to std::clamp() in C++17.
bool | endsWith (const std::string &s, const std::string &suffix)
bool | endsWith (const std::string &s, char suffix)
bool | startsWith (const std::string &s, const std::string &prefix)
bool | startsWith (const std::string &s, char prefix)
void | toUpper (std::string &s)

## Detailed Description

Utility classes for GEOS.

## Function Documentation

## round()

double geos::util::round | ( | double | val | ) |

inline

Default rounding method for GEOS

Note
  Always use this rounding method, to easy easy switching between different rounding method for the whole codebase.

References java_math_round().